Package org.bukkit.boss

# Enum Class BarStyle

java.lang.Object
java.lang.Enum<BarStyle>
org.bukkit.boss.BarStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<BarStyle>`, `Constable`

public enum BarStyle extends Enum<BarStyle>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SEGMENTED_10`
Splits the boss bar into 10 segments
`SEGMENTED_12`
Splits the boss bar into 12 segments
`SEGMENTED_20`
Splits the boss bar into 20 segments
`SEGMENTED_6`
Splits the boss bar into 6 segments
`SOLID`
Makes the boss bar solid (no segments)

## Method Summary

Modifier and Type
Method
Description
`static BarStyle`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BarStyle[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SOLID

public static final BarStyle SOLID
Makes the boss bar solid (no segments)

### SEGMENTED_6

public static final BarStyle SEGMENTED_6
Splits the boss bar into 6 segments

### SEGMENTED_10

public static final BarStyle SEGMENTED_10
Splits the boss bar into 10 segments

### SEGMENTED_12

public static final BarStyle SEGMENTED_12
Splits the boss bar into 12 segments

### SEGMENTED_20

public static final BarStyle SEGMENTED_20
Splits the boss bar into 20 segments

## Method Details

### values

public static BarStyle[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static BarStyle valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null